cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Have an EOS T5 & whenever I go to open software it says can't be used with this version of your OS

dihesler
Apprentice

Whenever I go to open the software that came with my camera is says cannot open with your version operating system?? I have a MacBook Pro & am using El Capitan 10.11.2. Do you have any suggestions ...as I'm sure it's not the first time you've heard this problem.

 

Thank You In Advance!

Di Hesler

2 REPLIES 2

nicechris
Contributor

You can try to download a new driver.

TCampbell
Elite
Elite

Canon provides updates, but the software does not automatically check for updates.  You have to visit their website to get the latest versions.

 

Here's a link:  https://www.usa.canon.com/internet/portal/us/home/support/details/cameras/dslr/eos-rebel-t5-ef-s-18-...

 

(Sorry about the incredibly long URL.  Canon updated their website and the new site uses these incredibly long URLs which aren't very friendly for sharing.)

 

When you visit the URL, make sure you select the "Software" category.  It will likely auto-detect your operating system type and version correctly, but if not, there's a pull-down selection where you can pick Mac OS X 10.11 El Capitan.

 

 

Tim Campbell
5D III, 5D IV, 60Da
Avatar
click here to view the gallery
Announcements